Package ghidra.program.database.function

# Class LocalVariableDB

java.lang.Object
ghidra.program.database.function.VariableDB
ghidra.program.database.function.LocalVariableDB

All Implemented Interfaces:
  `LocalVariable`, `Variable`, `Comparable<Variable>`

public class LocalVariableDB extends VariableDB implements LocalVariable

- ## Field Summary

  ### Fields inherited from class ghidra.program.database.function.VariableDB

  `function, functionMgr, storage, symbol`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFirstUseOffset()`
  `boolean`
  `setFirstUseOffset(int firstUseOffset)`
  Set the first use offset.

  ### Methods inherited from class ghidra.program.database.function.VariableDB

  `compareTo, equals, getComment, getDataType, getFirstStorageVarnode, getFunction, getLastStorageVarnode, getLength, getMinAddress, getName, getProgram, getRegister, getRegisters, getSource, getStackOffset, getSymbol, getVariableStorage, hasAssignedStorage, hashCode, hasStackStorage, isCompoundVariable, isEquivalent, isMemoryVariable, isRegisterVariable, isStackVariable, isUniqueVariable, isValid, isVoidAllowed, setComment, setDataType, setDataType, setDataType, setName, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface ghidra.program.model.listing.Variable

  `getComment, getDataType, getFirstStorageVarnode, getFunction, getLastStorageVarnode, getLength, getMinAddress, getName, getProgram, getRegister, getRegisters, getSource, getStackOffset, getSymbol, getVariableStorage, hasAssignedStorage, hasStackStorage, isCompoundVariable, isEquivalent, isMemoryVariable, isRegisterVariable, isStackVariable, isUniqueVariable, isValid, setComment, setDataType, setDataType, setDataType, setName`

- ## Method Details

  - ### getFirstUseOffset

    public int getFirstUseOffset()
    Specified by:
      `getFirstUseOffset` in interface `Variable`
    Returns:
      the first use offset relative to the function entry point.

  - ### setFirstUseOffset

    public boolean setFirstUseOffset(int firstUseOffset)
    Description copied from interface: `LocalVariable`
    Set the first use offset.
    Specified by:
      `setFirstUseOffset` in interface `LocalVariable`
    Parameters:
      `firstUseOffset` -
    Returns:
      true if successful, else false